package betterquesting.commands;

import betterquesting.api.api.QuestingAPI;
import betterquesting.storage.NameCache;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import net.minecraft.command.CommandBase;
import net.minecraft.command.ICommandSender;
import net.minecraft.command.WrongUsageException;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.server.MinecraftServer;

/* loaded from: betterquesting_commands.jar:betterquesting/commands/QuestCommandBase.class */
public abstract class QuestCommandBase {
    public abstract String getCommand();

    public abstract void runCommand(MinecraftServer minecraftServer, CommandBase commandBase, ICommandSender iCommandSender, String[] strArr);

    public String getUsageSuffix() {
        return "";
    }

    public boolean validArgs(String[] args) {
        return args.length == 1;
    }

    public List<String> autoComplete(MinecraftServer server, ICommandSender sender, String[] args) {
        return new ArrayList();
    }

    public final WrongUsageException getException(CommandBase command) {
        String message = command.func_71517_b() + " " + getCommand();
        if (getUsageSuffix().length() > 0) {
            message = message + " " + getUsageSuffix();
        }
        return new WrongUsageException(message, new Object[0]);
    }

    public UUID findPlayerID(MinecraftServer server, ICommandSender sender, String name) {
        UUID playerID;
        EntityPlayerMP player = null;
        try {
            player = CommandBase.func_82359_c(sender, name);
        } catch (Exception e) {
        }
        if (player == null) {
            if (name.startsWith("@")) {
                return null;
            }
            try {
                playerID = UUID.fromString(name);
            } catch (Exception e2) {
                playerID = NameCache.INSTANCE.getUUID(name);
            }
        } else {
            playerID = QuestingAPI.getQuestingUUID(player);
        }
        return playerID;
    }

    public boolean isArgUsername(String[] args, int index) {
        return false;
    }
}
